# HttpPostedFile

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides access to individual files that have been uploaded by a client.

{% tabs %}
{% tab title="C#" %}

```csharp
public class HttpPostedFile
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class HttpPostedFile
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) ContentLength

[Int64](https://docs.microsoft.com/dotnet/api/system.int64): Returns the size of an uploaded file, in bytes.

### ![](/files/hsR4ok3152WyAf8J2C1u) ContentType

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns the MIME content type of a file sent by a client.

### ![](/files/hsR4ok3152WyAf8J2C1u) FileName

[String](https://docs.microsoft.com/dotnet/api/system.string): Return the fully qualified name of the file on the client.

### ![](/files/hsR4ok3152WyAf8J2C1u) InputStream

[Stream](https://docs.microsoft.com/dotnet/api/system.io.stream): Returns a [Stream](https://docs.microsoft.com/dotnet/api/system.io.stream) object that points to an uploaded file to prepare for reading the contents of the file.

### ![](/files/hsR4ok3152WyAf8J2C1u) LastModified

[DateTime](https://docs.microsoft.com/dotnet/api/system.datetime): Returns the last modified [DateTime](https://docs.microsoft.com/dotnet/api/system.datetime) of the file.

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) SaveAs(filename)

Saves the contents of an uploaded file.

| Parameter    | Type                                                          | Description           |
| ------------ | ------------------------------------------------------------- | --------------------- |
| **filename** | [String](https://docs.microsoft.com/dotnet/api/system.string) | The name of the file. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.core/general/wisej.core.httppostedfile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
